/* ==========================================================================
* 파    일 : LoginWindow.h
* 목    적 : 
* 작 성 자 : 김가람
* 작 성 일 : 2006-12-04
* 주의사항 :
*===========================================================================*/
#pragma once
#include "UIWindow.h"

class cEditBox;
class cButton;
class cUIImage;
class cLoginWindow : public cUIWindow
{
public:
	cLoginWindow();
	virtual ~cLoginWindow();

	///
	void UIStageIn();

	void ClearID( bool focus = false );
	void ClearPass( bool focus = false );

	void SetSendLoginFlag( bool set );

protected:
	bool OnCreate( cUINodeProperty* pproperty );
	void OnRender( cUIFontItemKeeper* pKeeper );
	void OnCommand( cUINode* pcaller, unsigned int id );
	void OnProcess( unsigned long deltaTime, unsigned long accumTime );
	void OnEditBoxEntered( cUINode* pcaller, unsigned int id );
	void OnShow();
	void UpdateSkin();

	/// 로그인 패킷 발송
	void SendLoginMsg();

protected:
	cEditBox*			mpID;
	cEditBox*			mpPass;
	cButton*			mpConnect;

	cUIImage*			mpLogoImage;
	cUINodeSkin*		mpLogoSkin;

	/// 로그인 했는지 여부. 
	bool		mSendLogin;
};
